#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    int n,k;
    cin>>n>>k;
    int pool[2*n+1]={0};
    int brLosihPlocica=0;

    for(int i=0;i<n;i++)
    {
        int x;
        cin>>x;
        pool[x+6]++;
        if(pool[x+6]==k)
        {
            brLosihPlocica++;
        }
    }
    cout<<brLosihPlocica<<endl;

    if(brLosihPlocica>0)
    {
      for(int i=0;i<2*n+1;i++)
        {
            if(pool[i]>=k)
            {
                brLosihPlocica--;
                cout<<i-n<<" ";
            }
            if(brLosihPlocica==0)
                return 0;
        }
    }
    return 0;
}